#include <QMainWindow>

#include "demo_gps.hpp"
#include "qt_tree.hpp"

class QTreeView;
class QMenu;

class MainWindow : public QMainWindow
{
	Q_OBJECT

	public:
		MainWindow();
	public slots:
		void openFile();
		void saveFile();

	private:
		void expandAll(QTreeView* view, const QModelIndex& parent = QModelIndex());
		qt_tree<char>*	m_tree;
		QTreeView*	m_view;

		QMenu*		m_file_menu;

		bus_schedule    m_bs;
};


